%{?nodejs_find_provides_and_requires}

%global packagename urlgrey
%global enable_tests 1

Name:		nodejs-urlgrey
Version:	0.4.1
Release:	1%{?dist}
Summary:	The urlgrey library is for URL querying and manipulation

License:	BSD
URL:		https://github.com/cainus/urlgrey.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
%endif

%description
urlgrey is a library for URL querying and manipulation.


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}


%changelog
* Tue Jan 19 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.1-1
- Initial packaging
